# Uses of Interface
org.eclipse.jdt.core.jdom.IDOMPackage

Packages that use IDOMPackage
Package
Description
org.eclipse.jdt.core.jdom
Provides a support for Java document manipulation through the JDOM model.

## Uses of IDOMPackage in org.eclipse.jdt.core.jdom

Methods in org.eclipse.jdt.core.jdom that return IDOMPackage
Modifier and Type
Method
Description
`IDOMPackage`
DOMFactory.`createPackage()`
Deprecated.
`IDOMPackage`
DOMFactory.`createPackage(String sourceCode)`
Deprecated.
`IDOMPackage`
IDOMFactory.`createPackage()`
Deprecated.
Creates an empty package document fragment.
`IDOMPackage`
IDOMFactory.`createPackage(String sourceCode)`
Deprecated.
Creates a package document fragment on the given source code.